[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.UpdateDockCaption

Updates the Caption to reflect the names for the docked clients.

## Declaration

Source position: controls.pp line 2427

`public procedure TWinControl.UpdateDockCaption(`
`Exclude: TControl = Nil`
`); virtual;`

## Arguments

`Exclude` |  | Control to exclude from the DockCaption.

## Description

Called when this is a HostDockSite and either the list of docked clients have changed, or one of their captions has changed.

If the control is being undocked, but still is in the DockClients list, it is excluded from the docking caption and the Exclude argument is set to True.